Package org.eclipse.ecf.core.sharedobject

# Interface IReplicaSharedObjectDescriptionFactory

public interface IReplicaSharedObjectDescriptionFactory
Replica shared object factory

## Method Summary

Modifier and Type
Method
Description
`ReplicaSharedObjectDescription`
`createDescriptionForContainer(ID containerID, ISharedObjectConfig config)`
Create new ReplicaSharedObjectDescription instance for delivery to remote container identified by containerID parameter.

## Method Details

### createDescriptionForContainer

ReplicaSharedObjectDescription createDescriptionForContainer(ID containerID, ISharedObjectConfig config)
Create new ReplicaSharedObjectDescription instance for delivery to remote container identified by containerID parameter. The containerID parameter ID provided must not be null

Parameters:
  `containerID` -
Returns:
  ReplicaSharedObjectDescription. Must not return null, but rather a valid ReplicaSharedObjectDescription instance